This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 838425 - 4 options in the part "General options" of man page of virt-convert don't work.
4 options in the part "General options" of man page of virt-convert don't work.
Status: CLOSED WORKSFORME
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 01:32 EDT by Geyang Kong
Modified: 2014-07-06 15:31 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-17 10:43:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Geyang Kong 2012-07-09 01:32:37 EDT
Description of problem:
  4 options in the part "General options" of man page of virt-convert don't work.

Version-Release number of selected component (if applicable):
python-virtinst-0.600.0-8.el6

How reproducible:
100%

Steps to Reproduce:
1. Make sure there is an image file and related xml file.
2. Run #man virt-convert, make sure there are 4 options in "General options": --os-type, --os-variant, --noapic, --noacpi
3. Run #virt-convert -i virt-image -o vmx $xml-file --debug
4. Run #qemu-img convert -O qcow2 $image-file1 $image-file2 -o?
5. Run #man qemu-img convert

Actual results:
1. After step 3, there is a line in debug info:
Thu, 28 Jun 2012 21:16:03 DEBUG    Running command: qemu-img convert -O qcow2 $image-file1 $image-file2
2. After step 4 and 5, there is nothing about these 4 options related with command: qemu-img convert

Expected results:
1. Theses 4 options should work well in virt-convert or they should be removed from man page of virt-convert

Additional info:
Comment 2 Cole Robinson 2013-04-21 15:12:23 EDT
virtinst has been merged into virt-manager.git. Moving all virtinst bugs to the virt-manager component.
Comment 4 Cole Robinson 2013-08-17 10:43:17 EDT
I'm confused by this bug, those commands certainly seem to work for me. If anyone can still reproduce, please provide the actual output which makes you think these options do not work.

Note You need to log in before you can comment on or make changes to this bug.